Categories


Authors:
klider
jslawinski
logos

QAPlug

Products: IntelliJ IDEA, Android Studio

Vendor: SolDevelo

Email:

Website: http://qaplug.com

License: http://qaplug.com/about/license-agreement/

Bugtracker page

Forum page

QAPlug is an Intellij IDEA plugin to manage code quality which integrates tools such as PMD, Checkstyle and Findbugs.
Downloads: 94896
Rating:
Participated in rating: 15
Version Compatible builds Date
1.3.9 141.178 07.04.2015 Download
1.3.8 139.659 12.12.2014 Download
1.3.5 129.713 — 129.1526 17.04.2014 Download
1.3.7 133.193 20.03.2014 Download
Screenshot #3431
Screenshot #3433
Screenshot #3432

Recent change notes

Compatibility changes to support IntelliJ IDEA 14.1.

General usage instructions

Manage your code quality directly from IDEA: 1. Select 'Analyze code' from the context menu. 2. Choose appropriate scope and analysis profile. 3. Run analysis. 4. Browse and fix problems with your code.

Comments:

123>
Anonymous
Rated:
2015-04-27 13:34:14
You may have to uninstall the existing plugins and then install them again to get the 1.3.9 update.
.
Anonymous
2015-04-16 19:01:02
I can't seem to get the 1.3.9 update in my intellij (ultimate) plugin settings. Only 1.3.8 is listed.
.
jslawinski
2015-04-07 14:42:28
QAPlug 1.3.9 is now compatible with the newest IntelliJ IDEA 14.1.
.
EmreSevinc
Rated:
2015-04-01 17:11:06
Same here, after updating to IntelliJ 14.1 Community edition today I've got: java.lang.IncompatibleClassChangeError: Found class com.intellij.openapi.options.SchemesManager, but interface was expected
.
Anonymous
2015-03-31 10:24:57
Same here, after update to IntelliJ 14.1 (Ultimate): java.lang.IncompatibleClassChangeError: Found class com.intellij.openapi.options.SchemesManager, but interface was expected ...
.
Anonymous
2015-03-24 17:58:52
Hi, there seems to be a problem with IntelliJ 14.1, any thoughts on when this could be fixed? Plugin 'QAPlug' failed to initialize and will be disabled. Please restart IntelliJ IDEA. java.lang.IncompatibleClassChangeError: Found class com.intellij.openapi.options.SchemesManager, but interface was expected at com.soldevelo.qaplug.scanner.AnalysisProfileManager.setRootProfile(AnalysisProfileManager.java:164) at com.soldevelo.qaplug.scanner.AnalysisProfileManager.loadState(AnalysisProfileManager.java:376)
.
MateuszCzubak
Rated:
2015-02-17 17:07:54
I've got following error during running code inspection under Intellij 14.1 EAP: java.lang.NoSuchFieldError: myLocal at com.soldevelo.qaplug.scanner.AnalysisProfile.(AnalysisProfile.java:57) at com.soldevelo.qaplug.scanner.ActionAnalyzeCode.actionPerformed(ActionAnalyzeCode.java:64) at com.intellij.openapi.keymap.impl.IdeKeyEventDispatcher$3.performAction(IdeKeyEventDispatcher.java:576) at com.intellij.openapi.keymap.impl.IdeKeyEventDispatcher.processAction(IdeKeyEventDispatcher.java:625) at com.intellij.openapi.keymap.impl.IdeKeyEventDispatcher.d(IdeKeyEventDispatcher.java:475) at com.intellij.openapi.keymap.impl.IdeKeyEventDispatcher.dispatchKeyEvent(IdeKeyEventDispatcher.java:211) at com.intellij.ide.IdeEventQueue._dispatchEvent(IdeEventQueue.java:545) at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:383) at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242) at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161) at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138) at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)
.
Anonymous
2014-06-19 12:45:44
QA-plug not working with Java 8 code
.
Anonymous
2014-02-07 01:10:07
When will QAPlug be compatible with PHPStorm 7?
.
mszukalski
2014-01-09 16:56:58
@Jan.Gatting: The new version of our plug-in supports the latest Community and Ultimate IDEA version. If you have any queries, please don't hesitate to post an idea on http://qaplug.uservoice.com/forums/64605-general?lang=en or email us at support.at.qaplug.com.
.
dkalcheu4idea
2013-12-28 14:42:52
Thanks for the update, it works again!
.
Anonymous
2013-12-19 01:56:20
Any plans for upgrade to v.13?
.
Anonymous
2013-12-16 19:03:03
I get the same error as others
.
Anonymous
2013-12-12 18:58:39
Used to work well, now in IntelliJ 13 I get the same error as others.
.
Anonymous
2013-12-06 13:43:10
Same error in IntelliJ 13.0 Update failed for AnAction with ID=QAPlug.ChangesViewToolbar.ActiveChangeListAction: KEY java.lang.NoSuchFieldError: KEY at com.soldevelo.qaplug.scanner.ActionAnalyzeCode.createAnalysisScope(ActionAnalyzeCode.java:79) at com.soldevelo.qaplug.scanner.ActionAnalyzeCode.createFilteredAnalysisScope(ActionAnalyzeCode.java:69) at com.soldevelo.qaplug.scanner.ActionAnalyzeCode.update(ActionAnalyzeCode.java:29) at com.intellij.openapi.actionSystem.ex.ActionUtil.performDumbAwareUpdate(ActionUtil.java:111) at com.intellij.openapi.actionSystem.impl.Utils.a(Utils.java:187) I hope this will be fixed, we really like this product to work with.
.
123>